Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.config
Class ConfigEntry

    java.lang.Object
      |
      +--com.autonomy.config.ConfigEntry

Direct Known Subclasses:
  ConfigKey, ConfigSection

public abstract class ConfigEntry
extends java.lang.Object

Abstract class containing all methods / properties common to all configuration entries

See Also:
  `ConfigSection`, `ConfigKey`, `ConfigFile`

Field Summary
`static java.lang.String` | `BEGIN_CLOSE` The string that marks the end of a section name
`static java.lang.String` | `BEGIN_OPEN` The string that marks the beginning of a section name
`static java.lang.String` | `COMMENT_END` The string that marks the start of a comment
`static java.lang.String` | `COMMENT_START` The string that marks the start of a comment
`static java.lang.String` | `CRLF` A string representing a Return code
`static java.lang.String` | `END_CLOSE` The string that marks the end of the end of a section This only applies if USE_END_TAG is true
`static java.lang.String` | `END_OPEN` The string that marks the beginning of the end of a section This only applies if USE_END_TAG is true
`static int` | `IS_FILE` If a ConfigEntry is of type ConfigFile
`static int` | `IS_KEY` If a ConfigEntry is of type ConfigKey
`static int` | `IS_SECTION` If a ConfigEntry is of type ConfigSection
`static int` | `IS_UNKNOWN` If a ConfigEntry is of unknown type
`static java.lang.String` | `KEY_VALUE_SEPARATOR` The string that separates the key name from the key value
`int` | `m_nType` The type of this entry
`static boolean` | `USE_END_TAG` Specifies if the configuration uses a marker to end a section

Constructor Summary
`ConfigEntry()` Create an empty ConfigEntry

Method Summary
`com.autonomy.config.ConfigComments` | `getComments()` Returns the comments for this entry
`java.lang.String` | `getName()` Returns the name of the config entry as a string
`java.lang.String` | `getOriginalName()` Returns the name of the config section as a string, in the case it was in the original config file
`java.lang.String` | `getValue()` Returns the value of the config entry as a string
`void` | `setComments(com.autonomy.config.ConfigComments comments)` Sets the comments object for this entry
`static boolean` | `stringIsValidName(java.lang.String sProposedName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CRLF

    public static java.lang.String CRLF

  A string representing a Return code

### BEGIN_OPEN

    public static java.lang.String BEGIN_OPEN

  The string that marks the beginning of a section name

### BEGIN_CLOSE

    public static java.lang.String BEGIN_CLOSE

  The string that marks the end of a section name

### USE_END_TAG

    public static boolean USE_END_TAG

  Specifies if the configuration uses a marker to end a section

### END_OPEN

    public static java.lang.String END_OPEN

  The string that marks the beginning of the end of a section This only applies if USE_END_TAG is true

  See Also:
    `USE_END_TAG`

### END_CLOSE

    public static java.lang.String END_CLOSE

  The string that marks the end of the end of a section This only applies if USE_END_TAG is true

  See Also:
    `USE_END_TAG`

### COMMENT_START

    public static java.lang.String COMMENT_START

  The string that marks the start of a comment

  See Also:
    `ConfigComments`

### COMMENT_END

    public static java.lang.String COMMENT_END

  The string that marks the start of a comment

  See Also:
    `ConfigComments`

### KEY_VALUE_SEPARATOR

    public static java.lang.String KEY_VALUE_SEPARATOR

  The string that separates the key name from the key value

  See Also:
    `ConfigComments`

### IS_UNKNOWN

    public static int IS_UNKNOWN

  If a ConfigEntry is of unknown type

### IS_FILE

    public static int IS_FILE

  If a ConfigEntry is of type ConfigFile

### IS_SECTION

    public static int IS_SECTION

  If a ConfigEntry is of type ConfigSection

### IS_KEY

    public static int IS_KEY

  If a ConfigEntry is of type ConfigKey

### m_nType

    public int m_nType

  The type of this entry

  See Also:
    `IS_UNKNOWN`, `IS_SECTION`, `IS_KEY`, `IS_FILE`

Constructor Detail

### ConfigEntry

    public ConfigEntry()

  Create an empty ConfigEntry

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the config entry as a string

### getValue

    public java.lang.String getValue()

  Returns the value of the config entry as a string

### getOriginalName

    public java.lang.String getOriginalName()

  Returns the name of the config section as a string, in the case it was in the original config file

### getComments

    public com.autonomy.config.ConfigComments getComments()

  Returns the comments for this entry

### setComments

    public void setComments(com.autonomy.config.ConfigComments comments)

  Sets the comments object for this entry

### stringIsValidName

    public static boolean stringIsValidName(java.lang.String sProposedName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD